# $Revision: 1.15 $, $Date: 2010/09/23 07:09:29 $
Summary:	libirman - accessing IRMAN hardware
Summary(pl.UTF-8):	libirman - dostęp do urządzeń IRMAN
Name:		libirman
Version:	0.4.5
Release:	1
License:	LGPL v2 (library), GPL v2 (utility)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/lirc/%{name}-%{version}.tar.bz2
# Source0-md5:	4a2708d53b6c79659c073cfefed57f78
URL:		http://www.lirc.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libirman is a library for accessing the IRMAN hardware from Linux.

%description -l pl.UTF-8
Biblioteka libirman umożliwia dostęp do urządzenia IRMAN w Linuksie.

%package devel
Summary:	Header file for libirman library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libirman
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libirman library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libirman.

%package static
Summary:	Static libirman library
Summary(pl.UTF-8):	Statyczna biblioteka libirman
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libirman library.

%description static -l pl.UTF-8
Statyczna biblioteka libirman.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README TECHNICAL TODO
%attr(755,root,root) %{_bindir}/workmanir
%attr(755,root,root) %{_libdir}/libirman.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libirman.so.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/irman.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libirman.so
%{_libdir}/libirman.la
%{_includedir}/irman.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libirman.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libirman.spec,v $
Revision 1.15  2010/09/23 07:09:29  qboosh
- updated to 0.4.5, standard -devel/-static scheme now

Revision 1.14  2007/12/27 00:24:59  zbyniu
- up to 0.4.4

Revision 1.13  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.11  2005/07/21 17:55:12  darekr
- %doc added

Revision 1.10  2004/06/05 23:58:23  qboosh
- updated to 0.4.3

Revision 1.9  2003/06/24 22:18:18  qboosh
- cosmetics, informative summaries

Revision 1.8  2003/06/20 16:32:26  eothane
- updated Source0

Revision 1.7  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/10/07 13:41:37  qboosh
- BR: autoconf,automake; fixed files list

Revision 1.4  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:13:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/10/20 15:13:56  aflinta
- initial release
